﻿Public Class Form1
    Dim f1 As New EmptyForm
    Dim f2 As New EmptyForm
    Dim f3 As New ChildTBMForm
    Dim f4 As New ChildTBMForm

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load

        f1.MdiParent = Me
        f1.Show()

        f2.MdiParent = Me
        f2.Show()

        f3.MdiParent = Me
        f3.Show()

        f4.MdiParent = Me
        f4.Show()

        Me.LayoutMdi(MdiLayout.TileHorizontal)

    End Sub

    Dim RibbonTabChanging As Boolean

    Protected Overrides Sub OnMdiChildActivate(e As EventArgs)
        MyBase.OnMdiChildActivate(e)
        If Me.tbrMain.ActiveMdiChildManager IsNot Nothing Then
            Me.tbrMain.Ribbon.SelectedTab = Me.tbrMain.ActiveMdiChildManager.Ribbon.Tabs(0).AttachedParentTab
        End If
    End Sub

    Private Sub tbrMain_AfterRibbonTabSelected(sender As Object, e As Infragistics.Win.UltraWinToolbars.RibbonTabEventArgs) Handles tbrMain.AfterRibbonTabSelected
        If Not Me.tbrMain.Ribbon.SelectedTab Is Nothing Then
            MsgBox(String.Format("Me.tbrMain.Ribbon.SelectedTab: {0} {1}e.Tab: {2}", Me.tbrMain.Ribbon.SelectedTab.Key.ToString(), Environment.NewLine, e.Tab.Key.ToString()))
        End If
    End Sub

    Private Sub tbrMain_ToolClick(sender As Object, e As Infragistics.Win.UltraWinToolbars.ToolClickEventArgs) Handles tbrMain.ToolClick
        If Me.tbrMain.Ribbon.SelectedTab.Index >= Me.tbrMain.Ribbon.Tabs.Count - 1 Then
            Me.tbrMain.Ribbon.SelectedTab = Me.tbrMain.Ribbon.Tabs(0)
        Else
            Me.tbrMain.Ribbon.SelectedTab = Me.tbrMain.Ribbon.Tabs(Me.tbrMain.Ribbon.SelectedTab.Index + 1)
        End If
    End Sub
End Class
